-- MySQL dump 8.23
--
-- Host: localhost    Database: traffic
---------------------------------------------------------
-- Server version	3.23.58

--
-- Table structure for table `chains`
--

DROP TABLE IF EXISTS chains;
CREATE TABLE chains (
  chain_id int(3) unsigned NOT NULL default '0',
  chain_name varchar(30) NOT NULL default '',
  chain_note varchar(128) default '',
  PRIMARY KEY  (chain_id)
) TYPE=MyISAM;

--
-- Table structure for table `current`
--

DROP TABLE IF EXISTS current;
CREATE TABLE current (
  chain_id int(3) unsigned NOT NULL default '0',
  packets bigint(20) unsigned NOT NULL default '0',
  bytes bigint(60) unsigned NOT NULL default '0',
  PRIMARY KEY  (chain_id)
) TYPE=MyISAM;

--
-- Table structure for table `history`
--

DROP TABLE IF EXISTS history;
CREATE TABLE history (
  chain_id int(3) unsigned NOT NULL default '0',
  date date NOT NULL default '0000-00-00',
  packets bigint(20) unsigned NOT NULL default '0',
  bytes bigint(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (chain_id,date),
  KEY date (date)
) TYPE=MyISAM;

--
-- Table structure for table `proxy`
--

DROP TABLE IF EXISTS proxy;
CREATE TABLE proxy (
  user_id int(3) unsigned NOT NULL default '0',
  date date NOT NULL default '0000-00-00',
  host varchar(128) NOT NULL default 'unknow host',
  bytes bigint(20) unsigned NOT NULL default '0',
  direct_bytes bigint(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (user_id,date,host),
  KEY date (date),
  KEY host (host)
) TYPE=MyISAM;

--
-- Table structure for table `updates`
--

DROP TABLE IF EXISTS updates;
CREATE TABLE updates (
  table_name varchar(30) NOT NULL default '',
  update_datetime timestamp(14) NOT NULL,
  PRIMARY KEY  (table_name)
) TYPE=MyISAM;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS users;
CREATE TABLE users (
  user_id int(3) unsigned NOT NULL default '254',
  name varchar(128) NOT NULL default '',
  dns varchar(30) NOT NULL default '',
  ip varchar(15) NOT NULL default '',
  email varchar(128) NOT NULL default 'no',
  PRIMARY KEY  (user_id),
  UNIQUE KEY ip (ip),
  FULLTEXT KEY name (name)
) TYPE=MyISAM;


